#include "MarkdownParser.h"

#include <sstream>
#include <iostream>

MarkdownParser::MarkdownParser()
    : mHtmlDocument(HtmlDocument::Create())
{

}

void MarkdownParser::processLine(const std::string& line)
{

}

void MarkdownParser::run(const std::string& content)
{
    std::stringstream ss(content);
    std::string line;
    while (std::getline(ss, line, '\n'))
    {
        processLine(line);
    }
}

HtmlDocumentPtr MarkdownParser::getHtml()
{
    return mHtmlDocument;
}
