#pragma once

#include "HtmlDocument.h"

class MarkdownParser
{
    enum class DocumentState
    {
        None
    };

    enum class LineState
    {
        None
    };

public:
    MarkdownParser();

    HtmlDocumentPtr getHtml();

    void processLine(const std::string& line);

    void run(const std::string& content);

private:
    DocumentState mDocumentState {DocumentState::None};
    HtmlDocumentPtr mHtmlDocument;
};
